Get list of fotaEligible firmware devices for device group. This endpoint can only be accessed by scope aux_soft_mgmt.
Parameters
corpIdpathstringrequired
Device Group
offsetquerynumberrequired
The number of devices to skip before starting to collect the result set.
limitquerynumberrequired
The number of devices to return.
sortquerystringrequired
Sort field
Values: IMEI, FIRMWARE, MAKE, MODEL, MDN, UPGRADETIME, ESN, NICKNAME, SUBSCRIPTIONSTATUS, LASTUPDATE, EXPIRATIONDATE, RENEWALDATE
sortDirquerystringrequired
Sort direction
Values: ASC, DESC
cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/firmware/NORTHSTAR-ISD/devices?offset=0&limit=25&sort=LAST_30_DAYS_USED&sortDir=DESC" \
-H "Authorization: Bearer $SENTINEL_TOKEN"
PUT/v1.0/firmware/{corpId}/devices/autorenewalChanges dataPermalink ↗ Updates autorenewal flag on devices. This endpoint can only be accessed by scope org_super with aux_soft_mgmt.
Parameters
corpIdpathstringrequired
Device Group
renewalRequestbodyRenewalRequestrequired
renewalRequest
cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/firmware/NORTHSTAR-ISD/devices/autorenewal" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"corpId": "NORTHSTAR-ISD",
"note": "Example update payload — confirm schema in Swagger before wiring production."
}'
POST/v1.0/firmware/{corpId}/devices/enrollChanges dataPermalink ↗ Enroll firmware device or devices. This endpoint can only be accessed by scope org_super with aux_soft_mgmt.
Parameters
corpIdpathstringrequired
Device Group
firmwareDevicesEnrollbodyFirmwareDevicesEnrollrequired
firmwareDevicesEnroll
cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/firmware/NORTHSTAR-ISD/devices/enroll" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"example": true,
"corpId": "NORTHSTAR-ISD"
}'
POST/v1.0/firmware/{corpId}/devices/upgradeDestructivePermalink ↗ Schedules a firmware upgrade for devices. This endpoint can only be accessed by scope aux_soft_mgmt.
Parameters
corpIdpathstringrequired
Device Group
FirmwareUpgradeParambodyobjectrequired
List of devices(IMEIs) and upgrade date.
cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/firmware/NORTHSTAR-ISD/devices/upgrade" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"example": true,
"corpId": "NORTHSTAR-ISD"
}'
PUT/v1.0/firmware/{corpId}/devices/upgradeDestructivePermalink ↗ Reschedules a firmware upgrade for devices. This endpoint can only be accessed by scope aux_soft_mgmt.
Parameters
corpIdpathstringrequired
Device Group
FirmwareUpgradeParambodyobjectrequired
List of devices(IMEIs) and upgrade date.
cURL
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/firmware/NORTHSTAR-ISD/devices/upgrade" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"corpId": "NORTHSTAR-ISD",
"note": "Example update payload — confirm schema in Swagger before wiring production."
}'